%define fontname    yanone-kaffeesatz
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename YanoneKaffeesatz

Name:    %{fontname}-fonts
Version: 20061120
Release: 3%{?dist}
Summary: Yanone Kaffeesatz decorative fonts

Group:   User Interface/X
License: CC-BY
URL:     http://www.yanone.de/typedesign/kaffeesatz/
Source0: %{url}%{archivename}.zip
Source1: %{name}-fontconfig.conf
Source2: %{url}%{archivename}.pdf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
Sans-serif decorative latin OTF font by Jan Gerner, suitable for titles and
short runs of text.


%prep
%setup -q -c
install -m 0644 -p %{SOURCE2} .


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.otf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/61-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache -f %{fontdir} || :
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache -f %{fontdir} || :
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.pdf

%config(noreplace) %{fontconfdir}/61-%{fontname}.conf

%dir %{fontdir}
%{fontdir}/*.otf


%changelog 
* Sun Nov 25 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 20061120-3
✓ initial packaging
